Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160904 - [kickstart] Filesystems marked as '--noformat' will be relabeled
Summary: [kickstart] Filesystems marked as '--noformat' will be relabeled
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-18 10:00 UTC by Enrico Scholz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 17:45:16 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2005-06-18 10:00:42 UTC
Description of problem:

When having 

| part / --fstype ext3 --onpart hda2 --noformat

and creating this partition in %pre without assigning a label, anaconda will set
the '/' and add 'LABEL=/' entries to /etc/fstab but not the correct '/dev/hda2'.

This is bad as I do not want to add such labels; they require an initrd.img
which I do not need.


Version-Release number of selected component (if applicable):

anaconda-10.2.1.5-2

Comment 1 Jeremy Katz 2005-06-20 17:45:16 UTC
The default setup is with labels.  Our default _kernel_ requires an initrd, so
that's hardly the argument to use.


Note You need to log in before you can comment on or make changes to this bug.